GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop Class Reference

## Public Member Functions
String | getParcelShopID ()
void | setParcelShopID (String value)
String | getType ()
void | setType (String value)
Location | getLocation ()
void | setLocation (Location value)
Address | getAddress ()
void | setAddress (Address value)
List< Vacations > | getHolidays ()
List< WorkingDay > | getWorkingDay ()
String | getAirlineDistance ()
void | setAirlineDistance (String value)

## Protected Attributes
String | parcelShopID
String | type
Location | location
Address | address
List< Vacations > | holidays
List< WorkingDay > | workingDay
String | airlineDistance

## Detailed Description

Parcel shop attributes

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element ref="{http://fpcs.gls-group.eu/v1/ParcelShop}ParcelShopID"/>
            <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Location" type="{http://fpcs.gls-group.eu/v1/ParcelShop}Location" minOccurs="0"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address"/>
            <element name="Holidays" type="{http://fpcs.gls-group.eu/v1/ParcelShop}Vacations" maxOccurs="unbounded" minOccurs="0"/>
            <element name="WorkingDay" type="{http://fpcs.gls-group.eu/v1/ParcelShop}WorkingDay" maxOccurs="unbounded" minOccurs="0"/>
            <element name="AirlineDistance" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 53 of file ParcelShop.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 150 of file ParcelShop.java.

## ◆ getAirlineDistance()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getAirlineDistance | ( |  | ) |

Gets the value of the airlineDistance property.

Returns
  possible object is String

Definition at line 232 of file ParcelShop.java.

## ◆ getHolidays()

List<Vacations> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getHolidays | ( |  | ) |

Gets the value of the holidays property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the holidays property.

For example, to add a new item, do as follows:

       getHolidays().add(newItem);

Objects of the following type(s) are allowed in the list Vacations

Definition at line 188 of file ParcelShop.java.

## ◆ getLocation()

Location eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getLocation | ( |  | ) |

Gets the value of the location property.

Returns
  possible object is Location

Definition at line 126 of file ParcelShop.java.

## ◆ getParcelShopID()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getParcelShopID | ( |  | ) |

Gets the value of the parcelShopID property.

Returns
  possible object is String

Definition at line 78 of file ParcelShop.java.

## ◆ getType()

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getType | ( |  | ) |

Gets the value of the type property.

Returns
  possible object is String

Definition at line 102 of file ParcelShop.java.

## ◆ getWorkingDay()

List<WorkingDay> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.getWorkingDay | ( |  | ) |

Gets the value of the workingDay property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the workingDay property.

For example, to add a new item, do as follows:

       getWorkingDay().add(newItem);

Objects of the following type(s) are allowed in the list WorkingDay

Definition at line 217 of file ParcelShop.java.

## ◆ setAddress()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 162 of file ParcelShop.java.

## ◆ setAirlineDistance()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.setAirlineDistance | ( | String | value | ) |

Sets the value of the airlineDistance property.

Parameters

  value | allowed object is String

Definition at line 244 of file ParcelShop.java.

## ◆ setLocation()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.setLocation | ( | Location | value | ) |

Sets the value of the location property.

Parameters

  value | allowed object is Location

Definition at line 138 of file ParcelShop.java.

## ◆ setParcelShopID()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.setParcelShopID | ( | String | value | ) |

Sets the value of the parcelShopID property.

Parameters

  value | allowed object is String

Definition at line 90 of file ParcelShop.java.

## ◆ setType()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.setType | ( | String | value | ) |

Sets the value of the type property.

Parameters

  value | allowed object is String

Definition at line 114 of file ParcelShop.java.

## Member Data Documentation

## ◆ address

Address eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.address
| protected

Definition at line 62 of file ParcelShop.java.

## ◆ airlineDistance

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.airlineDistance
| protected

Definition at line 68 of file ParcelShop.java.

## ◆ holidays

List<Vacations> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.holidays
| protected

Definition at line 64 of file ParcelShop.java.

## ◆ location

Location eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.location
| protected

Definition at line 60 of file ParcelShop.java.

## ◆ parcelShopID

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.parcelShopID
| protected

Definition at line 56 of file ParcelShop.java.

## ◆ type

String eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.type
| protected

Definition at line 58 of file ParcelShop.java.

## ◆ workingDay

List<WorkingDay> eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop.workingDay
| protected

Definition at line 66 of file ParcelShop.java.

The documentation for this class was generated from the following file:

- ParcelShop.java